Quassel IRC - Feature #362

allow usage of .ini config files with compile time switch -DENABLE_INI=1
10/21/2008 01:36 PM - al

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.4.0

0S: Any

Description

When compiled with cmake -DENABLE_INI=1, Quassel stores its settings in .ini files instead of the platform "native" style.
This helps Windows Domain users who can't easily synchronize registry entries across different workstations.

History

#1 - 01/13/2009 09:58 PM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Priority changed from High to Normal

- Target version set to 0.4.0

Will generally store settings in .ini files in a specifiable config dir. Should make things much easier for packagers/distros (as needing a home directory
is a PITA in many setups), and keep configs and database in one place. Crossplatform is cool, but Qt chose to define their own "standard" obviously,
as nothing else is using ~/.config apparently.

#2 - 01/20/2009 11:07 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Wmdows (always) stores settmgs in |n| flles as of

Files

0001-allow-usage-of-.ini-config-files-with-compile-time-s.patch 4.22 KB 10/21/2008 admin
